#
# spec file for package rcs (Version 5.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt postfix procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           rcs
BuildRequires:  postfix
License:        GPL
Group:          Development/Tools/Version Control
Autoreqprov:    on
Version:        5.7
Release:        879.2
Summary:        Revision Control System
Source:         rcs-5.7.tar.gz
Source1:        rcs.html
#Patch:        rcs-5.7.dif
Patch1:         rcs-5.7-security.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
RCS, the Revision Control System, manages multiple revisions of files.
RCS can store, retrieve, log, identify, and merge revisions. It is
useful for files that are frequently revised, for example: programs,
documentation, graphics, and papers.



Authors:
--------
    Walter F. Tichy <tichy@ira.uka.de>
    Paul Eggert <eggert@twinsun.com>
    Adam Hammer <hammer@cs.purdue.edu>
    Guy Harris <guy@sun.com>
    Jay Lepreau <lepreau@cs.purdue.edu>

%debug_package
%prep
%setup
#%patch
%patch -P 1 -p 0 -b .tmpfile
./configure --prefix=/usr --with-diff-utils

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
make prefix=$RPM_BUILD_ROOT/usr install man1dir=$RPM_BUILD_ROOT%{_mandir}/man1 man5dir=$RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/rcs
cp -av $RPM_SOURCE_DIR/*.html $RPM_BUILD_ROOT%{_defaultdocdir}/rcs

%files
%defattr(-, root, root)
%{_defaultdocdir}/rcs
/usr/bin/*
%{_mandir}/man?/*.gz

%changelog -n rcs
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - schwab@suse.de
- Don't strip binaries.
- Don't build as root.
* Fri Mar 26 2004 - ro@suse.de
- added postfix to neededforbuild
* Wed Apr 23 2003 - coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Jan 10 2001 - werner@suse.de
- Add temp file patch of Olaf Kirch
* Fri Nov 17 2000 - fehr@suse.de
- set group tag
* Mon May 22 2000 - fehr@suse.de
- add HTML-Documentation to /usr/share/doc/packages/src
* Fri Feb 25 2000 - schwab@suse.de
- /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Oct 24 1997 - ro@suse.de
- checking re enabled, done instead:
  changed mode of src-dir to 777 and su -c make nobody
* Thu Oct 23 1997 - ro@suse.de
- disabled checking for root-rights in conf.sh
  ready for autobuild
